getClusterNodes
POST
Returns information about all the nodes participating in the cluster
Responses
idinteger
The request IDjsonrpcstring
The JSON-RPC versionfeatureSetinteger
The unique identifier of the node's feature setgossipstring
Gossip network address for the nodepubkeystring
Node public key, as base-58 encoded stringrpcstring
JSON RPC network address for the node, or null if the JSON RPC service is not enabledshredVersioninteger
The shred version the node has been configured to usetpustring
TPU network address for the nodeversionstring
The software version of the node, or null if the version information is not availablecodestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://solana-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "getClusterNodes","params": []}'